Skip to main content
PUT
Update vendor payout

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to update the vendor payout for

payoutId
string
required

The UUID of the vendor payout to update

Body

application/json
paid_out_amount
integer<int64>

The amount of the vendor payout, in cents.

processor
enum<string> | null

Processor used to make the payment, if any. Any processor name can be provided and will be tracked.

Available options:
STRIPE,
PAYPAL,
SHOPIFY,
ADYEN,
RAINFOREST
completed_at
string<date-time>

Timestamp of when the vendor payout was completed

bill_payments
object[]

A list of bill payments associated with the vendor payout

vendor_refund_payments
object[]

A list of vendor refund payments associated with the vendor payout

tags
object[]

A list of tags associated with the vendor payout

other_transactions
object[]

A list of other transactions associated with the vendor payout

memo
string | null

Memo for any text you would like to associate with the vendor payout (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor payout. Can be used to filter when listing vendor payouts.

Response

200 - application/json
id
string<uuid>

Unique ID for the Vendor Payout. Idempotency key.

external_id
string | null

Unique ID of the vendor payout in your system for linking purposes.

Example:

"vendor-payout-1234"

business_id
string<uuid>

ID of the Business that generated the vendor payout.

paid_out_amount
integer<int64>

The amount of the vendor payout, in cents

processor
enum<string> | null

Processor used to make the payment, if any. If not null, every bill payment or vendor refund payment associated with the vendor payout must have the same processor

Available options:
STRIPE,
PAYPAL,
SHOPIFY,
ADYEN,
RAINFOREST
Example:

"STRIPE"

imported_at
string<date-time>

Timestamp of when the vendor payout was imported

completed_at
string<date-time>

Timestamp of when the vendor payout was completed

payments
object[]

A list of bill payments associated with the vendor payout

refunds
object[]

A list of vendor refund payments associated with the vendor payout

other_transactions
object[]

A list of other transactions associated with the vendor payout

transaction_tags
object[]

A list of tags associated with the vendor payout

match
object | null

The transaction match associated with the vendor payout

suggested_matches
object[]

A list of suggested matches for the vendor payout

memo
string | null

Memo for any text you would like to associate with the vendor payout (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor payout. Can be used to filter when listing vendor payouts.